FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Wizard Class Reference

This widget is based off the Fl_Tabs widget, but instead of displaying tabs it only changes "tabs" under program control. More...

`#include <Fl_Wizard.H>`

Inheritance diagram for Fl_Wizard:

List of all members.

## Public Member Functions
| Fl_Wizard (int, int, int, int, const char *=0)
| The constructor creates the Fl_Wizard widget at the specified position and size.
void | next ()
| This method shows the next child of the wizard.
void | prev ()
| Shows the previous child.
Fl_Widget * | value ()
| Gets the current visible child widget.
void | value (Fl_Widget *)
| Sets the child widget that is visible.

## Detailed Description

This widget is based off the Fl_Tabs widget, but instead of displaying tabs it only changes "tabs" under program control.

Its primary purpose is to support "wizards" that step a user through configuration or troubleshooting tasks.

As with Fl_Tabs, wizard panes are composed of child (usually Fl_Group) widgets. Navigation buttons must be added separately.

## Constructor & Destructor Documentation

Fl_Wizard::Fl_Wizard | ( | int | xx,
|  | int | yy,
|  | int | ww,
|  | int | hh,
|  | const char * | l = `0`
| ) |  |

The constructor creates the Fl_Wizard widget at the specified position and size.

The inherited destructor destroys the widget and its children.

## Member Function Documentation

void Fl_Wizard::next | ( |  | ) |

This method shows the next child of the wizard.

If the last child is already visible, this function does nothing.

void Fl_Wizard::prev | ( |  | ) |

Shows the previous child.

Fl_Widget * Fl_Wizard::value | ( |  | ) |

Gets the current visible child widget.

void Fl_Wizard::value | ( | Fl_Widget * | kid | ) |

Sets the child widget that is visible.

The documentation for this class was generated from the following files:

- Fl_Wizard.H
- Fl_Wizard.cxx